Skip to Content
HelvetlyDocs
API referenceClients

Get a client

Needs a token with the read:clients scope (or write:clients). Authentication

Try in Playground sends a real request to app.helvetly.com with a token you paste. It stays in this browser tab only (session storage) and goes to no one else.

GET
/api/v1/clients/{id}

One client with its contacts.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A personal API token, hvt_…, with scopes such as read:* or write:invoices

Path Parameters

id*string

The record's id.

Response Body

OK

application/json
  1. response
data*
Example Request
curl -X GET 'https://app.helvetly.com/api/v1/clients/string'
Example Response
{  "data": {    "id": "string",    "number": 0,    "name": "string",    "preferred_name": "string",    "is_company": true,    "is_active": true,    "email": "string",    "billing_email": "string",    "phone": "string",    "website": "string",    "street": "string",    "street_number": "string",    "apt": "string",    "zip": "string",    "city": "string",    "country": "string",    "vat_number": "string",    "electronic_address": {      "scheme": "string",      "id": "string"    },    "registration_number": "string",    "region": "string",    "language": "de",    "currency": "string",    "payment_terms_days": 0,    "internal_id": "string",    "note": "string",    "tags": [      "string"    ],    "dunning_enabled": true,    "einvoice_format": "none",    "leitweg_id": "string",    "portal_enabled": true,    "portal_invited_at": "2019-08-24T14:15:22Z",    "portal_signed_in_at": "2019-08-24T14:15:22Z",    "contacts": [      {        "id": "string",        "name": "string",        "role": "string",        "email": "string",        "phone": "string",        "is_primary": true      }    ],    "is_draft": true,    "missing_fields": [      "string"    ],    "files_count": 0,    "pending_change_request": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}